Une place pour une véritable innovation. Partagez vos propres utilitaires créés avec la communauté Manjaro.
Questions et discussions sur la programmation et le codage.

Script de maintenance

#21Messageil y a 5 mois

Merci pour ta réponse. Curieux tout de même que Pamac ne m'indique pas de mises-à-jour... Il est vrai qu'avec le forfait 4G minus que nous avions au début (20 go/mois), j'avais probablement limité les MàJ à 1 mois. Je vais voir ça.

Edit: Ah ben oui! En effet... 302 paquets / 1,2 Go à mettre à jour ! Mon forfait* va en prendre un coup!

*Comme j'avais poussé mon coup de gueule chez Orange, ils m'ont ajouté un "forfait supplémentaire spécial post-Irma" de 50 Go en me disant "surtout ne le dites à personne!". On rêve! J'ai donc 2 Airbox, 1 pour les smarthones/tablettes et celle de 50 Go pour les PC. Pas sûr qu'on ne tombe pas en panne-sèche avant le 30 du mois. J'ai déjà consommé 27 Go en 2 semaines. Reste 23 Go. Va falloir faire gaffe...

Script de maintenance

#22Messageil y a 5 mois

Erwan a écrit :
il y a 5 mois
Les paquets gstreamer0 de Aur sont probablement à virer.
[Dupond]Je dirais même plus, sont absolument a virer[/Dupont]
:gsourire:

Script de maintenance

#23Messageil y a 5 mois

Nettlebay a écrit :
il y a 5 mois
Curieux tout de même que Pamac ne m'indique pas de mises-à-jour
Attention, par défaut aur est non activé dans pamac

Script de maintenance

#24Messageil y a 5 mois

:wink:
Oui, mais chez moi, il l'est depuis longtemps. Quand je fais une recherche de paquet, c'est écrit Dépôts (il me semble) et en-dessous, AUR. Pour Gstreamer0, il est justement en train de se mettre à jour...

 ...............................................................
 CC       libgstmpegdemux_la-gstsectionfilter.lo
make[3] : on quitte le répertoire « /tmp/yaourt-tmp-manja/aur-gstreamer0.10-bad/src/gst-plugins-bad-0.10.23/gst/mpegtsdemux »
make -C mpegvideoparse
make[3] : on entre dans le répertoire « /tmp/yaourt-tmp-manja/aur-gstreamer0.10-bad/src/gst-plugins-bad-0.10.23/gst/mpegvideoparse »
  CC       libgstmpegvideoparse_la-mpegvideoparse.lo
  CCLD     libgstmpegpsmux.la
  CC       libgstmpegdemux_la-mpegtsparse.lo
make[3] : on quitte le répertoire « /tmp/yaourt-tmp-manja/aur-gstreamer0.10-bad/src/gst-plugins-bad-0.10.23/gst/mpegpsmux »
............................................................................... et bla-bla-bla....


C'est une màj avec yaourt -Syua

Script de maintenance

#25Messageil y a 5 mois

tu aimes perdre ton temps et ta bande passante :wink:
on vient de te dire plus haut que les paquets aur gstreamer0.10 ne sont normalement plus utilisés !

Script de maintenance

#26Messageil y a 5 mois

C'est un vieux problème.

sudo pacman -Rcs gstreamer0.10*
sudo pacman-mirrors 
sudfo pacman -Syyu
Tout le pack gstreamer0.10 n'est plus supporté et est repris officiellement par gstreamer et/ou gst dispos dans [Extra]

Script de maintenance

#27Messageil y a 5 mois

Vous pensez que je peux les virer (désinstaller) sans danger? Enfin là, c'est en cours, j'ose pas arrêter... :desole:

Script de maintenance

#28Messageil y a 5 mois

Ils ont été remplacé l'an dernier par ceux-ci (dépôt officiel) :

4 extra/gst-plugins-bad 1.14.0-2 [installed]
    GStreamer Multimedia Framework Bad Plugins
5 extra/gst-plugins-base 1.14.0-1 [installed]
    GStreamer Multimedia Framework Base Plugins
6 extra/gst-plugins-base-libs 1.14.0-1 [installed]
    GStreamer Multimedia Framework Base Libraries
7 extra/gst-plugins-good 1.14.0-1 [installed]
    GStreamer Multimedia Framework Good Plugins
8 extra/gst-plugins-ugly 1.14.0-1 [installed]
    GStreamer Multimedia Framework Ugly Plugins
Il font donc double-emploi avec les paquets aur qui, eux, sont obsolètes :clindoeil:

Script de maintenance

#29Messageil y a 5 mois

Bon, ça y est je l'ai viré. En faisant mes màj l'ordi a crashé lors d'une compression. J'ai redémarré sans problème avec juste un fsck automatique au boot. Voilà ce qu'il me reste de outdated:

$ yaourt -Qam | grep "aur:"
aur/4kvideodownloader 4.4.3.2265-1 ( aur: 4.4.6.2295-2 )
aur/signal 1.3.0-1 ( aur: 1.7.1-1 )
aur/trizen 1:1.44-1 ( aur: 1:1.48-1 )

Comment faire pour mettre seulement ses 3-là à jour?

Script de maintenance

#30Messageil y a 5 mois

Si tu as viré proprement gstreamer0.10 et sa clique, un simple yaourt -Syua devrait suffire. Le <y> si tu n'as pas déjà récemment synchronisé les dépôts.
Ces paquets se recompileront en prenant en compte la dépendance gstreamer ou gst selon si présents évidemment.
Edit : Arff tu as Trizen, là je ne sais pas trop à part les recompiler à la main (git + makepkg)

Script de maintenance

#31Messageil y a 5 mois

J'ai viré Trizen, comme ça, pas de problèmes...
Tout va pour le mieux!

Script de maintenance

#32Messageil y a 5 mois

Erwan a écrit :
il y a 5 mois
Du coup, nul besoin de créer un dossier script à l'intérieur, je peux y mettre directement les scripts, c'est mieux, je suppose ?

echo $PATH
/usr/local/bin:/usr/bin
Vous faites comment pour avoir si peu dans votre PATH ? Vous l'avez modifié ?

echo $PATH
/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl

Nettlebay a écrit :
il y a 5 mois
J'ai viré Trizen, comme ça, pas de problèmes...
Tout va pour le mieux!
Trizen gère les paquets AUR aussi :

trizen -Sh|grep aur
  -a, --aur           : only AUR operations (with: -c, -u, -s, -i)
Modifié en dernier par Smurf le 16 Avr 2018, 17:14, modifié 1 fois.

Script de maintenance

#33Messageil y a 5 mois

Hello Smurf, perso je n'y ai jamais touché il est la depuis.. :pappy: l'installation qui n'est vraiment pas récente. :gsourire:
De plus j'ai le même contenu sur mes autres Manjaro dont l'une n'est installée que depuis un an :saispas:

Script de maintenance

#34Messageil y a 5 mois

Je pense que le mien a été modifié lors de l'installation de perl et de java.

Script de maintenance

#35Messageil y a 5 mois

:salut:
@Smurf nous avons le même :wink: (perl et java)

/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/patrick/.local/bin

pacman -Ql perl | grep etc
perl /etc/profile.d/perlbin.sh

pacman -Ql java-runtime-common | grep profile
java-runtime-common /etc/profile.d/jre.sh
et plus généralement , on peut faire un

grep " PATH=" /etc/profile.d/*
-----------------
pour trizen, je confirme il est très bien aucune raison de le supprimer

Script de maintenance

#36Messageil y a 4 mois

:bjr: Je viens d'ajouter quelques options utiles (voir la dernière version en tête de gondole) dont une qui liste et propose de supprimer les liens symboliques cassés dans l'espace utilisateur. :café:

Répondre